Package org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces

# Interface IButtonHandler

public interface IButtonHandler
Handler for custom button in `WizardBase`. If users want to add more buttons in `WizardBase`, need to implement this interface and add it in by invoking `WizardBase.addCustomButton()`.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.widgets.Button`
`getButton()`
Returns the button control.
`org.eclipse.swt.graphics.Image`
`getIcon()`
Returns button icon.
`int`
`getId()`
Returns ID for the custom button.
`String`
`getLabel()`
Returns Label for the custom button.
`String`
`getTooltip()`
Returns tool-tip text of this button.
`void`
`run()`
Runs the operation user defined when pressing the button.
`void`
`setButton(org.eclipse.swt.widgets.Button button)`
Restores the button control for later use.

## Method Details

### getId

int getId()
Returns ID for the custom button. ID must be unique in `WizardBase`.

Returns:
  ID for the button
See Also:
  - `IDialogConstants`

### getLabel

String getLabel()
Returns Label for the custom button.

Returns:
  Label for the custom button.

### getTooltip

String getTooltip()
Returns tool-tip text of this button.

Returns:
  tool-tip text of this button.

### getIcon

org.eclipse.swt.graphics.Image getIcon()
Returns button icon.

Returns:
  button icon.

### setButton

void setButton(org.eclipse.swt.widgets.Button button)
Restores the button control for later use. This method will be invoked by `WizardBase`

Parameters:
  `button` - button control

### getButton

org.eclipse.swt.widgets.Button getButton()
Returns the button control.

Returns:
  button control

### run

void run()
Runs the operation user defined when pressing the button.